Name:           p11-kit
Version:        0.24.0
Release:        %mkrel 1
Summary:        Library for loading and sharing PKCS#11 modules
License:        BSD
URL:            http://p11-glue.freedesktop.org/p11-kit.html
Source0:        http://p11-glue.freedesktop.org/releases/p11-kit-%{version}.tar.xz
Group:          System/Libraries
#----------------------------------
BuildRequires: %{_lib}ffi-devel
BuildRequires: %{_lib}tasn1-devel
#----------------------------------
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
p11-kit provides a way to load and enumerate PKCS#11 modules, as well
as a standard configuration setup for installing PKCS#11 modules in
such a way that they're discoverable.


%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}
Group:          Development/Libraries


%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q


%build
NOCONFIGURE=1 ./autogen.sh
%configure2_5x --disable-static	--disable-rpath

%make_build


%install
rm -rf %{buildroot}
%make_install

#dirs for configs etc
mkdir -p %{buildroot}%{_sysconfdir}/pkcs11/modules


mv %{buildroot}%{_sysconfdir}/pkcs11/pkcs11.conf.example %{buildroot}%{_sysconfdir}/pkcs11/pkcs11.conf

find %{buildroot} -name "*.la" -exec rm -rf {} \;

# remove invalid empty config file installed by default until p11-kit-0.20.1-3 (mga #12696)
%pretrans -p <lua>

file = io.open("/etc/pkcs11/pkcs11.conf","r")

if (file) then
  size = file:seek("end")
  file:close()
  if (size == 0) then
    os.remove("/etc/pkcs11/pkcs11.conf")
  end
end


%files
%{_sysconfdir}/pkcs11/pkcs11.conf
%dir %{_sysconfdir}/pkcs11
%dir %{_sysconfdir}/pkcs11/modules
%{_bindir}/*
%{_libdir}/libp11-kit.so.*
%{_libdir}/pkcs11/*.so
%{_datadir}/p11-kit/modules/p11-kit-trust.module
%{_libexecdir}/p11-kit/p11-kit-remote
%{_libexecdir}/p11-kit/p11-kit-server
%{_libexecdir}/p11-kit/trust-extract-compat
%{_datadir}/bash-completion/completions/p11-kit
%{_datadir}/bash-completion/completions/trust
   
%files devel
%{_includedir}/p11-kit-1/
%{_libdir}/libp11-kit.so
%{_libdir}/p11-kit-proxy.so
%{_libdir}/pkgconfig/p11-kit-1.pc


%clean
rm -rf %{buildroot}

%changelog
* Sat Feb 29 2020 tex - 0.23.20-1pclos2020
- new version

* Fri Jan 24 2020 tex - 0.23.19-1pclos2020
- new version

* Tue Oct 01 2019 tex - 0.23.18.1-1pclos2019
- new version

* Fri Aug 30 2019 tex - 0.23.16.1-3pclos2019
- rebuild against updates

* Fri Jun 28 2019 tex - 0.23.16.1-2pclos2019
- rebuild against updates

* Fri Jun 28 2019 tex - 0.23.16.1-1pclos2019
- new version

* Mon Jan 21 2019 tex 0.23.15-1pclos2019
- new version: 0.23.15

* Tue Apr 17 2018 bb2 <bb2> - 0.23.2-1pclos2018
- new version
